LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices

Reply
 
Search this Thread
Old 12-22-2007, 07:30 AM   #1
tramni1980
Member
 
Registered: Jul 2006
Location: Tübingen, Germany
Distribution: Slackware64-13.37
Posts: 737

Rep: Reputation: 37
compiling amarok-1.4.8


Hello!
I am running Slackware Linux 12.0 with kernel generic-smp-2.6.21.5-smp. I have problems compiling amarok-1.4.8 using the original slackbuild script from sources/kde. This is the configure section of the script:
./configure \
--prefix=/usr \
--sysconfdir=/etc/kde \
--with-xinerama \
--with-libnjb \
--with-libmtp \
--with-libgpod \
--with-libkarma \
--disable-debug \
--program-prefix="" \
--program-suffix="" \
--build=$TARGET-slackware-linux
make $NUMJOBS || exit 1
make install DESTDIR=$PKG

this is local.options file:
VERSION=1.4.8
BUILD=1
TARGET=i686

And this is the error message I get:
Making all in ipod
make[5]: Entering directory `/tmp/amarok-1.4.8/amarok/src/mediadevice/ipod'
/usr/lib/qt/bin/moc ./ipodmediadevice.h -o ipodmediadevice.moc
/bin/sh ../../../../libtool --silent --tag=CXX --mode=compile g++ -DHAVE_CONFIG_H -I. -I../../../.. -I../../../../amarok/src -I../../../../amarok/src -I../../../../amarok/src/amarokcore -I../../../../amarok/src/amarokcore -I../../../../amarok/src/engine -I../../../../amarok/src/engine -I../../../../amarok/src/mediadevice -I/usr/include/gpod-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/taglib -I/usr/lib/qt/include -I. -DQT_THREAD_SUPPORT -D_REENTRANT -Wno-long-long -Wundef -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -DNDEBUG -DNO_DEBUG -O2 -Wformat-security -Wmissing-format-attribute -Wno-non-virtual-dtor -fno-exceptions -fno-check-new -fno-common -DQT_CLEAN_NAMESPACE -DQT_NO_ASCII_CAST -DQT_NO_STL -DQT_NO_COMPAT -DQT_NO_TRANSLATION -MT ipodmediadevice.lo -MD -MP -MF .deps/ipodmediadevice.Tpo -c -o ipodmediadevice.lo ipodmediadevice.cpp
ipodmediadevice.cpp: In member function 'virtual MediaItem* IpodMediaDevice::updateTrackInDB(IpodMediaItem*, const QString&, const MetaBundle&, const MetaBundle&, const PodcastInfo*)':
ipodmediadevice.cpp:472: error: 'ITDB_MEDIATYPE_AUDIO' was not declared in this scope
ipodmediadevice.cpp:495: error: 'ITDB_MEDIATYPE_MOVIE' was not declared in this scope
ipodmediadevice.cpp:524: error: 'ITDB_MEDIATYPE_AUDIOBOOK' was not declared in this scope
ipodmediadevice.cpp:562: error: 'ITDB_MEDIATYPE_MOVIE' was not declared in this scope
ipodmediadevice.cpp:563: error: 'ITDB_MEDIATYPE_PODCAST' was not declared in this scope
ipodmediadevice.cpp: In member function 'void IpodMediaDevice::detectModel()':
ipodmediadevice.cpp:1290: error: 'itdb_device_supports_artwork' was not declared in this scope
make[5]: *** [ipodmediadevice.lo] Error 1
make[5]: Leaving directory `/tmp/amarok-1.4.8/amarok/src/mediadevice/ipod'
make[4]: *** [all-recursive] Error 1
make[4]: Leaving directory `/tmp/amarok-1.4.8/amarok/src/mediadevice'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/tmp/amarok-1.4.8/amarok/src'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/tmp/amarok-1.4.8/amarok'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/tmp/amarok-1.4.8'
make: *** [all] Error 2


I suspect it has something to do with the --with-libgpod configure option. It is strange since amarok-1.4.7 compiled without problems and no additional dependencies seem to be listed in amarok's homepage.

Any suggestions will be appreciated.

Regards,
Martin
 
Old 12-22-2007, 10:47 AM   #2
weibullguy
ReliaFree Maintainer
 
Registered: Aug 2004
Location: Kalamazoo, Michigan
Distribution: Slackware-current, Cross Linux from Scratch, Gentoo
Posts: 2,741
Blog Entries: 1

Rep: Reputation: 224Reputation: 224Reputation: 224
It looks like a problem with libgpod. You could try to build Amarok without libgpod support if you don't need it and see if that works. If you need to support an ipod, you're libgpod version may be too old/new for Amarok. The latest version of libgpod is 0.6.0.
 
Old 12-22-2007, 11:19 AM   #3
kennyz
LQ Newbie
 
Registered: May 2006
Posts: 4

Rep: Reputation: 0
Martin, you are correct. Slackware 12.0 ships with libgpod 0.4.2. The latest amaroK 1.4.8 requires libgpod 0.6, which is a change since 1.4.7.

I have built and posted libgpod 0.6.0 as well as amarok 1.4.8 to Linuxpackages.net.

I hope that helps.

Sincerely,

Ken Zalewski


Quote:
Originally Posted by tramni1980 View Post
Hello!
I am running Slackware Linux 12.0 with kernel generic-smp-2.6.21.5-smp. I have problems compiling amarok-1.4.8 using the original slackbuild script from sources/kde.

I suspect it has something to do with the --with-libgpod configure option. It is strange since amarok-1.4.7 compiled without problems and no additional dependencies seem to be listed in amarok's homepage.

Any suggestions will be appreciated.

Regards,
Martin
 
Old 12-22-2007, 11:29 AM   #4
BCarey
Senior Member
 
Registered: Oct 2005
Location: New Mexico
Distribution: Slackware
Posts: 1,457

Rep: Reputation: Disabled
If you want to build them yourself, try the SlackBuilds on slacky.eu. They have one for amarok 1.4.8 and libgpod 0.6.0.

Brian
 
Old 12-23-2007, 11:44 AM   #5
tramni1980
Member
 
Registered: Jul 2006
Location: Tübingen, Germany
Distribution: Slackware64-13.37
Posts: 737

Original Poster
Rep: Reputation: 37
Yes I upgraded to libgpod-0.6.0 and amarok-1.4.8 compiled. Thank you all!

Regards,
Martin
 
Old 12-23-2007, 04:28 PM   #6
adriv
Member
 
Registered: Nov 2005
Location: Diessen, The Netherlands
Distribution: Slackware 14.1
Posts: 661

Rep: Reputation: 38
Quote:
Originally Posted by kennyz View Post
Martin, you are correct. Slackware 12.0 ships with libgpod 0.4.2. The latest amaroK 1.4.8 requires libgpod 0.6, which is a change since 1.4.7.

I have built and posted libgpod 0.6.0 as well as amarok 1.4.8 to Linuxpackages.net.

I hope that helps.

Sincerely,

Ken Zalewski
Thank You!
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Compiling Amarok bjb_nyj101 Linux - Software 4 03-31-2007 02:38 PM
libGL.so not found when compiling amarok Mistreated Linux - Software 2 12-31-2006 06:04 AM
Compiling Amarok-1.4.2 on FC4 gnjunior Fedora 4 08-27-2006 08:02 PM
problems compiling amarok chrisyc Suse/Novell 10 12-21-2005 01:01 PM
Problems compiling amarok ernesto_cgf Mandriva 6 12-04-2004 07:52 PM


All times are GMT -5. The time now is 03:53 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration